<?php
// $Id$

/**
 * @file
 *
 * Field handler to present the path to the node.
 */
class views_handler_field_viewers_path extends views_handler_field {

  function option_definition() {
    $options = parent::option_definition();
    $options['absolute'] = array('default' => FALSE);
    $options['text'] = array('default' => '', 'translatable' => TRUE);

    return $options;
  }

  function construct() {
    parent::construct();
    $this->additional_fields['page'] = 'page';
  }

  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);

    $form['text'] = array(
      '#type' => 'textfield',
      '#title' => t('Text to display'),
      '#default_value' => $this->options['text'],
    );

    $form['absolute'] = array(
      '#type' => 'checkbox',
      '#title' => t('Use absolute link (begins with "http://")'),
      '#default_value' => $this->options['absolute'],
      '#description' => t('If you want to use this as in "output this field as link" in "link path", you must enable this option.'),
    );
  }

  function query() {
    $this->ensure_my_table();
    $this->add_additional_fields();
  }

  function render($values) {
    $page = $values->{$this->aliases['page']};
    $text = empty($this->options['text']) ? $page : t('view');
    return l($text, $page, array('absolute' => $this->options['absolute']));
  }
}
