<?php
// $Id$

/**
 * @file
 * Provide basic views data for viewers.module.
 */

/**
 * Implementation of hook_views_data().
 */
function viewers_views_data() {

  // Basic table information.
  $data = array();

  $data['viewers']['table']['base'] = array(
    'field' => 'page',
    'title' => t('Viewers'),
    'help' => t("Viewers are the users who are browsing your site."),
  );

  $data['viewers']['table']['group']  = t('Viewers');

  //Viewers UID
  $data['viewers']['uid'] = array(
    'title' => t('Uid'),
    'help' => t('The user ID'),
    'field' => array(
      'handler' => 'views_handler_field_user',
      'click sortable' => TRUE,
    ),
    'argument' => array(//todo check
      'handler' => 'views_handler_argument_user_uid',
      'name field' => 'name',
    ),
    'filter' => array(
      'title' => t('Name'),
      'help' => 'The User ID',
      'handler' => 'views_handler_filter_user_name',
    ),
    'sort' => array(
      'title' => t('Uid'),
      'help' => 'The user ID',
      'handler' => 'views_handler_sort',
    ),
    'relationship' => array(
      'base' => 'users',
      'base field' => 'uid',
      'handler' => 'views_handler_relationship',
      'label' => t('User'),
    ),
  );

  //Viewers Page
  $data['viewers']['page'] = array(
    'title' => t('Page'),
    'help' => t('Provide the page for each viewer.'),
    'field' => array(
      'handler' => 'views_handler_field_viewers_path',
      'click sortable' => TRUE,
    ),
  );

  return $data;
}

/**
 * Implementation of hook_views_handlers() to register all of the basic handlers
 * views uses.
 */
function viewers_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'viewers') . '/handlers',
    ),
    'handlers' => array(
      // field handlers
      'views_handler_field_viewers_path' => array(
        'parent' => 'views_handler_field',
      ),
    )
  );
}